package securityclassloader;

/**
 * Title:        Eigener Class Loader
 * Description:  Hilfsprogramm zum Generieren einer Class Datei mit
 *               einem eigenen Byte Header (nicht die Magic Number)
 * Copyright:    Copyright (c) 2000
 * Company:      Joller-Voss GmbH
 * @author J.M.Joller
 * @version 1.0
 */

import java.io.*;

public class Sum {
    public static int calculate(byte[] data) {
	int sum = 0;
	for (int i = 0; i < data.length; i++) {
	    sum += data[i];
	}
	return sum;
    }

    public static void main(String args[]) throws Throwable {
	File f = new File(args[0]);
	if (!((args.length > 0) && f.exists() && f.isFile()
	    && f.canRead())) {
	    System.out.println("Datei " + args[0]+" kann nicht gelesen werden");
	    System.exit(1);
	}
	FileInputStream in = new FileInputStream(f);
	byte [] buffer = new byte[(int)(f.length())];
	in.read(buffer);
	//in.close();
	int sum = calculate(buffer);
	if (args.length > 1) {
            System.out.println("Anlegen der Ausgabedatei"+args[1]+"\nDiese besitzt eine Bad Magic Number");
	    f = new File(args[1]);
	    DataOutputStream out = new DataOutputStream( new
	        FileOutputStream(f));
	    out.writeInt(0xadc0ffee);
	    out.writeInt(sum);
	    out.write(buffer);
	    out.close();
	}
	System.out.println("Summe ist " + sum);
    }
}

