package securityeinfacherclassloader;

/**
 * Title:        Einfacher Class Loader
 * Description:
 * Copyright:    Copyright (c) 2000
 * Company:      Joller-Voss GmbH
 * @author J.M.Joller
 * @version 1.0
 */

public class LoadClass extends ClassLoader {
protected Class loadClass(String name, boolean resolve) {
	Class c;
	SecurityManager sm = System.getSecurityManager();

	// Step 1 -- ist die Klasse bereits geladen
	c = findLoadedClass(name);
	if (c != null)
		return c;

	// Step 2 -- ist der Zugriff auf diese Klasse mglich
	if (sm != null) {
		int i = name.lastIndexOf('.');
		if (i >= 0)
			sm.checkPackageAccess(name.substring(0, i));
	}

	// Step 3 -- prfe die Systemklasse
	try {
	    c = findSystemClass(name);
	    return c;
	} catch (ClassNotFoundException cnfe) {
	    // keine Systemklasse
	}

	// Step 4 -- knnen wir die Klasse definieren
	if (sm != null) {
		int i = name.lastIndexOf('.');
		if (i >= 0)
			sm.checkPackageDefinition(name.substring(0, i));
	}

	// Step 5 -- lesen der Class Datei
	byte data[] = lookupData(name);

	// Step 4 and 5 -- definieren der Klasse
	//		 bergeben der Daten an den Byte Code Verifier
	c = defineClass(name, data, 0, data.length);

	// Step 6 -- auflsen der internen Referenzen
	if (resolve)
		resolveClass(c);

	return c;
}
	byte [] lookupData(String n) {
	    return new byte[1];
	}
}