package securitymanagerzusammenfassung;

/**
 * Title:
 * Description:
 * Copyright:    Copyright (c) 2000
 * Company:      Joller-Voss GmbH
 * @author J.M.Joller
 * @version 1.0
 */

import java.io.*;
import java.net.*;

public class SampleSecurityManager extends SecurityManager {

    static {
	System.out.println (
	    "SampleSecurityManager loading, verbose mode ist " +
	    (Debug.VERBOSE ? "ON" : "OFF"));
    }

    public void checkCreateClassLoader () {
	Debug.println ("checkCreateClassLoader ()");
    }

    public void checkAccess (Thread g) {
	Debug.println ("checkAccess (Thread g)");
    }

    public void checkAccess (ThreadGroup g) {
	Debug.println ("checkAccess (ThreadGroup g)");
    }

    public void checkExit (int status) {
	Debug.println ("checkExit (int status)");
    }

    public void checkExec (String cmd) {
	Debug.println ("checkExec (String cmd)");
    }

    public void checkLink (String lib) {
	Debug.println ("checkLink (String lib)");
    }

    public void checkRead (FileDescriptor fd) {
	Debug.println ("checkRead (FileDescriptor fd)");
    }

    public void checkRead (String file) {
	Debug.println ("checkRead (String file)");
    }

    public void checkRead (String file, Object context) {
	Debug.println ("checkRead (String file, Object context)");
    }

    public void checkWrite (FileDescriptor fd) {
	Debug.println ("checkWrite (FileDescriptor fd)");
    }

    public void checkWrite (String file) {
	Debug.println ("checkWrite (String file)");
    }

    public void checkDelete (String file) {
	Debug.println ("checkDelete (String file)");
    }

    public void checkConnect (String host, int port) {
	Debug.println ("checkConnect (String host, int port)");
    }

    public void checkConnect (String host, int port, Object context) {
	Debug.println (
	    "checkConnect (String host, int port, Object context)");
    }

    public void checkListen (int port) {
	Debug.println ("checkListen (int port)");
    }

    public void checkAccept (String host, int port) {
	Debug.println ("checkAccept (String host, int port)");
    }

    public void checkMulticast (InetAddress maddr) {
	Debug.println ("checkMulticast (InetAddress maddr)");
    }

    public void checkMulticast (InetAddress maddr, byte ttl) {
	Debug.println ("checkMulticast (InetAddress maddr, byte ttl)");
    }

    public void checkPropertiesAccess () {
	Debug.println ("checkPropertiesAccess ()");
    }

    public void checkPropertyAccess (String key) {
	Debug.println ("checkPropertyAccess (String key)");
    }

    public void checkPropertyAccess (String key, String def) {
	Debug.println ("checkPropertyAccess (String key, String def)");
    }

    public boolean checkTopLevelWindow (Object window) {
	return true;
    }

    public void checkPrintJobAccess () {
	Debug.println ("checkPrintJobAccess ()");
    }

    public void checkSystemClipboardAccess () {
	Debug.println ("checkSystemClipboardAccess ()");
    }

    public void checkAwtEventQueueAccess () {
	Debug.println ("checkAwtEventQueueAccess ()");
    }

    public void checkPackageAccess (String pkg) {
	Debug.println ("checkPackageAccess (String pkg)");
    }

    public void checkPackageDefinition (String pkg) {
	Debug.println ("checkPackageDefinition (String pkg)");
    }

    public void checkSetFactory () {
	Debug.println ("checkSetFactory ()");
    }

    public void checkMemberAccess (Class clazz, int which) {
	Debug.println ("checkMemberAccess (Class clazz, int which)");
    }

    public void checkSecurityAccess (String provider) {
	Debug.println ("checkSecurityAccess (String provider)");
    }
}

class Debug {
    public static final boolean VERBOSE =
	Boolean.getBoolean ("security.verbose");

    public static void println (String s) {
	if (VERBOSE) {
	    System.out.println (s);
	}
    }

    public static void print (String s) {
	if (VERBOSE) {
	    System.out.print (s);
	}
    }
}